rpms/xorg-x11-drv-radeonhd/F-8 xorg-x11-drv-radeonhd-Generate-xinf-file-for-hwdata-from-rhd_id.c.patch, NONE, 1.1 xorg-x11-drv-radeonhd-README.fedora, NONE, 1.1 xorg-x11-drv-radeonhd-git_version.h, NONE, 1.1 .cvsignore, 1.3, 1.4 sources, 1.3, 1.4 xorg-x11-drv-radeonhd-snapshot.sh, 1.2, 1.3 xorg-x11-drv-radeonhd.spec, 1.2, 1.3

Hans Ulrich Niedermann (ndim) fedora-extras-commits at redhat.com
Sun Nov 11 10:00:08 UTC 2007


Author: ndim

Update of /cvs/pkgs/rpms/xorg-x11-drv-radeonhd/F-8
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv11363

Modified Files:
	.cvsignore sources xorg-x11-drv-radeonhd-snapshot.sh 
	xorg-x11-drv-radeonhd.spec 
Added Files:
	xorg-x11-drv-radeonhd-Generate-xinf-file-for-hwdata-from-rhd_id.c.patch 
	xorg-x11-drv-radeonhd-README.fedora 
	xorg-x11-drv-radeonhd-git_version.h 
Log Message:
* Sun Nov 11 2007 Hans Ulrich Niedermann <hun at n-dimensional.de> - 0.0.2-0.16.20071105git
- Updated README.fedora.
- Improved git commit log message.
- First F-7 and F-8 builds.


xorg-x11-drv-radeonhd-Generate-xinf-file-for-hwdata-from-rhd_id.c.patch:

--- NEW FILE xorg-x11-drv-radeonhd-Generate-xinf-file-for-hwdata-from-rhd_id.c.patch ---
>From 8c607f400d104092092141b608997818ff02a118 Mon Sep 17 00:00:00 2001
From: Hans Ulrich Niedermann <hun at n-dimensional.de>
Date: Tue, 30 Oct 2007 23:34:41 +0100
Subject: [PATCH] Generate xinf file for hwdata from rhd_id.c
X-See-URL: http://radeonhd.lauft.net/patches/

Takes all chipset and card data from rhd_id.c and prints them all
as an xinf file suitable for installation in
    /usr/share/hwdata/videoaliases/

CAUTION: GENERATED FILE UNTESTED!

Adding to rhd_id.c is not pretty, but works, and uncovers
more compile errors than separate compilation does.
---
 configure.ac    |    1 +
 src/Makefile.am |    7 ++++++
 src/rhd_id.c    |   64 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 72 insertions(+), 0 deletions(-)

diff --git a/configure.ac b/configure.ac
index 9c41885..991a558 100644
--- a/configure.ac
+++ b/configure.ac
@@ -18,6 +18,7 @@ AM_MAINTAINER_MODE
 AC_DISABLE_STATIC
 AC_PROG_LIBTOOL
 AC_PROG_CC
+AM_PROG_CC_C_O
 
 
 AH_TOP([#ifndef _CONFIG_H])
diff --git a/src/Makefile.am b/src/Makefile.am
index 8746daf..9598455 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -88,3 +88,9 @@ libatom_la_SOURCES = \
 radeonhd_drv_la_LIBADD = libatom.la
 
 endif
+
+noinst_PROGRAMS = print-xinf-data
+
+print_xinf_data_SOURCES = rhd_id.c
+print_xinf_data_CPPFLAGS = $(AM_CPPFLAGS) -DPRINT_XINF_DATA
+print_xinf_data_CFLAGS = $(AM_CFLAGS) @PEDANTIC_CFLAGS@
diff --git a/src/rhd_id.c b/src/rhd_id.c
index bc78a63..9781569 100644
--- a/src/rhd_id.c
+++ b/src/rhd_id.c
@@ -635,3 +635,67 @@ RHDCardIdentify(ScrnInfoPtr pScrn)
 #endif
     return NULL;
 }
+
+
+#ifdef PRINT_XINF_DATA
+
+/* Make linking possible, we're not calling those anyway */
+void xf86DrvMsg(int scrnIndex, MessageType type, const char *format, ...)
+{ /* noop */ }
+void xf86Msg(MessageType type, const char *format, ...)
+{ /* noop */ }
+
+const char *const find_chipset(const int id)
+{
+    unsigned int j;
+    for (j=0; RHDChipsets[j].token >= 0; j++) {
+        if (id == RHDChipsets[j].token) {
+	    return RHDChipsets[j].name;
+	}
+    }
+    return NULL;
+}
+
+#ifdef XSERVER_LIBPCIACCESS
+#error No print-xinf-data code #ifdef XSERVER_LIBPCIACCESS!
+#else /* !XSERVER_LIBPCIACCESS */
+
+int main(int argc, char *argv[])
+{
+    const unsigned int VENDOR_ATI = 0x1002;
+    printf("# %s %s\n", PACKAGE_NAME, PACKAGE_VERSION);
+#ifdef GIT_MESSAGE
+    printf("# built from %s\n", GIT_MESSAGE);
+#endif
+    printf("# Autogenerated device list from src/rhd_id.c\n");
+    printf("\n"
+	   "# CAUTION: FILE GENERATED BLINDLY, NEEDS TESTING!!!\n");
+
+    printf("\n# RHDPCIchipsets[] dump\n");
+    if (1) {
+        unsigned int i;
+	for (i=0; ((RHDPCIchipsets[i].numChipset != -1) &&
+		   (RHDPCIchipsets[i].PCIid != -1) &&
+		   (RHDPCIchipsets[i].resList != RES_UNDEFINED)); i++) {
+	    const char *const chipset_name = find_chipset(RHDPCIchipsets[i].numChipset);
+	    printf("alias pcivideo:v%08Xd%08Xsv*sd*bc*sc*i* radeonhd # %s\n",
+		   VENDOR_ATI, RHDPCIchipsets[i].PCIid,
+		   (chipset_name)?(chipset_name):("chipset not in RHDChipsets"));
+	}
+    }
+
+    printf("\n# rhdCards[] dump (this might be included in the chipset list?))\n");
+    if (1) {
+        unsigned int i;
+	for (i=0; rhdCards[i].device != 0; i++) {
+	    printf("alias pcivideo:v%08Xd%08Xsv%08Xsd%08Xbc*sc*i* radeonhd # %s\n",
+		   VENDOR_ATI, rhdCards[i].device,
+		   rhdCards[i].card_vendor, rhdCards[i].card_device,
+		   rhdCards[i].name);
+	}
+    }
+    return 0;
+}
+
+#endif /* XSERVER_LIBPCIACCESS */
+#endif /* PRINT_XINF_DATA */
-- 
1.5.3.4



--- NEW FILE xorg-x11-drv-radeonhd-README.fedora ---
==========================================================-*- text -*-==
xorg-x11-drv-radeonhd - xf86-video-radeonhd for Fedora
========================================================================


0. DEVELOPMENT SNAPSHOT
=======================

The xorg-x11-drv-radeon package consists of a development snapshot of
the xf86-video-radeonhd driver. As a development snapshot, do not rely
on it to do anything particular for you.

Latest upstream commit: e9c24f662860229440dc61ecbae22e7d7c74d442


Contents
========
1. What Is RADEONHD?
2. Supported Hardware
3. Features
4. Known Issues
5. Resources
6. rhd_conntest


1. What Is RADEONHD?
====================

Radeonhd is the long-awaited open source Xorg driver for newer
graphics cards using a r5xx/r6xx series GPU made by AMD GPG
(a.k.a. ATI), written with docs supplied by AMD.


2. Supported Hardware
=====================

See radeonhd(4) man page.


3. Features
===========

  * Non-accelerated 2D graphics.


4. Known Issues
===============

  * XVideo: Not supported.
    Possibly relatively soon for YUV and scaling limited to x1 and x2.

  * 3D acceleration: Not supported.

  * ThinkPad backlight brightness control: Not yet.

  * Finding the correct modeline for the proper resolution of a monitor
    may fail.

  * Switching from X11 to the VGA text console sometimes leaves the
    display in a non-working state. Switching back to X11, and then
    back to VGA text seems to toggle that.


5. Resources
============

  * Overview about development code:
    http://gitweb.freedesktop.org/?p=xorg/driver/xf86-video-radeonhd

  * Git clone URL:
    http://anongit.freedesktop.org/git/xorg/driver/xf86-video-radeonhd/

  * Mailing list: http://lists.opensuse.org/radeonhd/


6. rhd_conntest
===============

rhd_conntest is a test utility used to test the connectors on the
graphics card.

Before sending reports to upstream, however, please make sure that

  * the report has not been integrated into upstream yet.

  * your radeonhd snapshot is not older than one or two weeks max.

For usage information, please consult README.rhd_conntest.


7. Submitting and querying bug reports
======================================

  * Query the Fedora package bugtracker:
    https://bugzilla.redhat.com/query.cgi?format=simple&product=Fedora&component=xorg-x11-drv-radeonhd

  * Submit new Fedora package bug:
    https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&component=xorg-x11-drv-radeonhd

  * Check that the Fedora package is about up to date:
      rpm -qi xorg-x11-drv-radeonhd
    and compare the commit ID and snapshot date with
      http://gitweb.freedesktop.org/?p=xorg/driver/xf86-video-radeonhd

  * Query upstream radeonhd's bugtracker:
    https://bugs.freedesktop.org/query.cgi?format=simple&product=xorg&component=Driver/radeonhd

  * Submit new upstream bug:
    https://bugs.freedesktop.org/enter_bug.cgi?product=xorg&component=Driver/radeonhd



========================================================================
xorg-x11-drv-radeonhd - xf86-video-radeonhd for Fedora
========================================================================


--- NEW FILE xorg-x11-drv-radeonhd-git_version.h ---
/*
 * Basic versioning gathered from the git repository.
 * Automatically generated by ../../../xf86-video-radeonhd.src/git_version.sh.
 */

#ifndef GIT_VERSION_H
#define GIT_VERSION_H 1

/* This is a git repository */
#define GIT_USED 1

/* Git SHA ID of last commit */
#define GIT_SHAID "e9c24f66.."

/* Branch this tree is on */
#define GIT_BRANCH "fedora/snapshot"

/* SHA-ID uniquely defines the state of this code */
#undef GIT_UNCOMMITTED

/* Define GIT_MESSAGE such that
 *    printf("%s: built from %s", argv[0], GIT_MESSAGE);
 * forms a proper sentence.
 */

#ifdef GIT_USED

# ifdef GIT_UNCOMMITTED
#  define GIT_WITH_WITHOUT_UNCOMMITTED " + changes"
# else
#  define GIT_WITH_WITHOUT_UNCOMMITTED ""
# endif /* GIT_UNCOMMITTED */

# define GIT_MESSAGE \
        "git branch " GIT_BRANCH ", " \
        "commit " GIT_SHAID GIT_WITH_WITHOUT_UNCOMMITTED

#else
# define GIT_MESSAGE "non-git sources"
#endif /* GIT_USED */

#endif /* GIT_VERSION_H */


Index: .cvsignore
===================================================================
RCS file: /cvs/pkgs/rpms/xorg-x11-drv-radeonhd/F-8/.cvsignore,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- .cvsignore	17 Oct 2007 19:30:03 -0000	1.3
+++ .cvsignore	11 Nov 2007 09:59:34 -0000	1.4
@@ -1 +1 @@
-xf86-video-radeonhd-0.0.2-20071017git.tar.bz2
+xf86-video-radeonhd-0.0.2-20071105git.tar.bz2


Index: sources
===================================================================
RCS file: /cvs/pkgs/rpms/xorg-x11-drv-radeonhd/F-8/sources,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- sources	17 Oct 2007 19:30:03 -0000	1.3
+++ sources	11 Nov 2007 09:59:34 -0000	1.4
@@ -1 +1 @@
-0ec4cca976c5cdd47055db93f1ad5cec  xf86-video-radeonhd-0.0.2-20071017git.tar.bz2
+d323fc15b8e54d33d50edb8d35ee1003  xf86-video-radeonhd-0.0.2-20071105git.tar.bz2


Index: xorg-x11-drv-radeonhd-snapshot.sh
===================================================================
RCS file: /cvs/pkgs/rpms/xorg-x11-drv-radeonhd/F-8/xorg-x11-drv-radeonhd-snapshot.sh,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- xorg-x11-drv-radeonhd-snapshot.sh	17 Oct 2007 19:30:03 -0000	1.2
+++ xorg-x11-drv-radeonhd-snapshot.sh	11 Nov 2007 09:59:34 -0000	1.3
@@ -1,16 +1,26 @@
 #!/bin/sh
-# Generate snapshot tarball of xf86-video-radeonhd.
-#
-# Syntax:
-#  sh xorg-x11-drv-radeonhd-snapshot.sh
-#     Generate a snapshot tarball, and a few patches
-#
-#  sh xorg-x11-drv-radeonhd-snapshot.sh --update-spec
-#     Generate a snapshot tarball, a few patches, and update the spec
-#     file with the correct %date timestamp.
-#
-# (requires git, automake, autoconf, libtool to be installed)
+help="$(cat<<EOF
+Generate snapshot tarball from git repository.
 
+Syntax:
+  sh $0 [<options>]
+    Generate a snapshot tarball
+
+Options:
+  --update-config
+    Update spec file, README.foo, etc. with the correct timestamps,
+    commit ids, etc.
+  --skip-pull
+    Do not fetch updates from upstream repository.
+  --no-checks
+    Disable check runs.
+
+Requires:
+  git, automake, autoconf, libtool
+EOF
+)"
+
+# Local settings
 name="xorg-x11-drv-radeonhd"
 tarbase="xf86-video-radeonhd"
 builddir="${tarbase}.build"
@@ -18,72 +28,127 @@
 specfile="${name}.spec"
 date="${date-$(date +%Y%m%d)}"
 
+branch="fedora/snapshot"
+
+# Check files and directories before starting to do anything
 if [ -d "${builddir}" ]; then
     echo "Remove the \"${builddir}\" directory first !"
     exit 1
 fi
 
+# Parse command line options
+opt_update_config="false"
+opt_skip_pull="false"
+opt_no_checks="false"
+for opt
+do
+    case "$opt" in
+	--skip-pull)      opt_skip_pull=":" ;;
+	--update-config)  opt_update_config=":" ;;
+	--no-checks)      opt_no_checks=":" ;;
+	-h|--help)
+	    echo "$help"
+	    exit 0
+	    ;;
+	*)
+	    echo "FATAL: Unhandled command line option: $opt"
+	    exit 13
+	    ;;
+    esac
+done
+
+
+# Syntax: sed_update_cond <FILENAME> [<sed-options>]
+sed_update_cond() {
+    old="$1"
+    new="$1.new"
+    shift
+    if sed "$@" < "${old}" > "${new}"; then
+	if cmp "${new}" "${old}"; then :
+	else
+	    mv -f "${new}" "${old}"
+	    return
+	fi
+    fi
+    rm -f "${new}"
+}
+
+
+# Prepare for action
 unset CDPATH
 set -ex
 
 # Update/check out source
 if [ -s "${srcdir}/.git/refs/heads/master" ]; then
-    # update from repo, keeping local changes separate
-    ( cd "${srcdir}" && git checkout master && git fetch && git rebase origin )
+    ( cd "${srcdir}" && git reset --hard HEAD && git checkout master )
+    if "$opt_skip_pull"; then
+	echo "Skipping pull from upstream as requested"
+    else
+        # update from repo, keeping local changes separate
+	( cd "${srcdir}" && git fetch && git rebase origin ) || exit $?
+    fi
+    ( cd "${srcdir}" && (git branch -D "${branch}" ||:))
 else
     # first checkout
     git clone "git://anongit.freedesktop.org/git/xorg/driver/${tarbase}" "${srcdir}"
 fi
+( cd "${srcdir}" && git checkout -b "${branch}" )
 
 # Determine latest upstream commit:
-upstream_commit="$(cd xf86-video-radeonhd.src && git log | head -n1 | cut -d' ' -f2)"
+upstream_commit="$(cd "${srcdir}" && git log | head -n1 | cut -d' ' -f2)"
 
-# This commit break the brightness settings
-#( cd "${srcdir}" && git diff 1103f74dc04e80f47a84367771e6b981d6a902ac 1103f74dc04e80f47a84367771e6b981d6a902ac^ ) \
-#	> "${name}-fix-thinkpad-backlight-keys.patch"
-
-# If possible, create a few patches from our local development branch
-# which are pending for inclusion in upstream.
-pending="${HOME}/src/xorg/xf86-video-radeonhd"
-if test -d "${pending}/.git/refs/heads/master"; then
-    for commit in ;
-    do
-	opatch=`cd "${pending}" && git format-patch "${commit}^..${commit}"`
-	npatch=`echo "${opatch}" | sed "s/^0001-/${name}-/g"`
-	if test -s "${npatch}" && cmp "${pending}/${opatch}" "$npatch"; then
-	    echo "### Patch ${npatch} already exists, not modified."
-	else
-	    mv -f "${pending}/${opatch}" "${npatch}"
-	fi
-    done
-fi
+# This patch is waiting for the time when we actually need a radeonhd.xinf file.
+#    ${name}-Generate-xinf-file-for-hwdata-from-rhd_id.c.patch
 
-# Upstream's git repo tends to forget to make sure the dist tarball is OK.
-# We need to fix that here before we can create a dist tarball.
+# Fix and/or clean up upstream's git repo before creating a dist tarball:
+#  * upstream tends to forget to make sure the dist tarball builds
+#  * we avoid ugly simultanous spec patches to Makefile.{am,in}
+for patch in
+do
+    if [ -s "$patch" ]; then
+	(cd "$srcdir" && git-am -3) < "$patch"
+	if test -s "${srcdir}/.dotest/patch"; then
+	    echo "Fatal: Could not cleanly apply patch \"$patch\"."
+	    exit 11
+	fi
+    else
+	echo "Fatal: Patch file \"$patch\" not found."
+	exit 13
+    fi
+done
 
-# Build dist tarball and move it to CWD
+# Generate and configure build system
 autoreconf -vis "${srcdir}"
 mkdir "${builddir}"
 ( cd "${builddir}" && ../${srcdir}/configure )
+
+# Build git_version.h for shipping
+make -C "${builddir}/utils/conntest"
+cp "${builddir}/utils/conntest/git_version.h" "${name}-git_version.h"
+
+# Build dist tarball and move it to CWD
 version=`sed -n '/^PACKAGE_VERSION = / { s/^PACKAGE_VERSION = //;p }' "${builddir}/Makefile"`
 tarname="${tarbase}-${version}-${date}git"
-make -C "${builddir}" distcheck distdir="${tarname}"
+if "$opt_no_checks"; then
+    disttarget="dist"
+else
+    disttarget="distcheck"
+fi
+make -C "${builddir}" "${disttarget}" distdir="${tarname}"
 mv -f "${builddir}/${tarname}.tar.bz2" "${tarname}.tar.bz2"
 
 # Update spec file with the proper timestamp
-if [ "x$1" = "x--update-spec" ]; then
-    sed -e "s/^%define date .*/%define date ${date}/" \
-        -e "s/^Version:.*/Version:       ${version}/" \
-        "$specfile" > "$specfile.new"
-    if cmp "${specfile}.new" "${specfile}"; then
-	rm -f "${specfile},new"
-    else
-	mv -f "${specfile}.new" "${specfile}"
-    fi
+if "$opt_update_config"; then
+    sed_update_cond "$specfile" \
+	-e "s/^%define git_commit .*/%define git_commit ${upstream_commit}/" \
+	-e "s/^%define date .*/%define date ${date}/" \
+        -e "s/^Version:.*/Version:       ${version}/"
+
+    sed_update_cond "${name}-README.fedora" \
+	-e "s/^\(Latest upstream commit:\).*/\\1 ${upstream_commit}/"
 fi
 
-# Clean up after us
-(cd "${srcdir}" && git reset --hard origin)
+# Clean up after us (keeping the patched git branch)
 rm -rf "${builddir}"
 
 echo "Latest upstream commit: ${upstream_commit}"


Index: xorg-x11-drv-radeonhd.spec
===================================================================
RCS file: /cvs/pkgs/rpms/xorg-x11-drv-radeonhd/F-8/xorg-x11-drv-radeonhd.spec,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- xorg-x11-drv-radeonhd.spec	17 Oct 2007 19:30:03 -0000	1.2
+++ xorg-x11-drv-radeonhd.spec	11 Nov 2007 09:59:34 -0000	1.3
@@ -5,13 +5,23 @@
 # Git snapshots are treated slightly different from released source tarballs:
 #  * Release: tag is augmented with timestamp
 #  * Description contains a few things about the snapshot
-#  * Source: snapshots are local files with timestamps, release 
-#    come from ftp.x.org and have no timestamps
+#  * Source: snapshots are local files with timestamps, released source
+#    tarballs come from ftp.x.org and have no timestamps
 #  * ...
+# %define snapshot 0
 %define snapshot 1
 
+# If generating snapshot, we can add a utility which generates an xinf file.
+# This might become interesting at some time in the future, when we are
+# confident that we want radeonhd to handle those cards.
 %if 0%{snapshot}
-%define date 20071017
+# %define generate_xinf 1
+%define generate_xinf 0
+%endif
+
+%if 0%{snapshot}
+%define date 20071105
+%define git_commit e9c24f662860229440dc61ecbae22e7d7c74d442
 %define alphatag .%{date}git
 %define tarball %{tarname}-%{version}-%{date}git
 %else
@@ -21,7 +31,7 @@
 Summary:       Xorg X11 radeonhd driver for AMD GPG r5xx/r6xx Chipsets
 Name:          xorg-x11-drv-radeonhd
 Version:       0.0.2
-Release:       0.7%{?alphatag}%{?dist}
+Release:       0.16%{?alphatag}%{?dist}
 
 License:       MIT
 Group:         User Interface/X Hardware Support
@@ -33,7 +43,7 @@
 # (cf. http://gitweb.freedesktop.org/?p=xorg/driver/xf86-video-radeonhd)
 # Use the following commands to generate the tarball:
 #  sh xorg-x11-drv-radeonhd-snapshot.sh
-#  sh xorg-x11-drv-radeonhd-snapshot.sh --update-spec
+#  sh xorg-x11-drv-radeonhd-snapshot.sh --update-config
 # The latter updates this spec file with the appropriate definition of %date.
 # This requires git, automake, autoconf, libtool to be installed.
 Source0:       %{tarball}.tar.bz2
@@ -42,13 +52,19 @@
 %endif
 
 Source1:       xorg-x11-drv-radeonhd-snapshot.sh
+Source2:       xorg-x11-drv-radeonhd-README.fedora
+Source3:       xorg-x11-drv-radeonhd-git_version.h
 
-# This patch is also generated by xorg-x11-drv-radeonhd-snapshot.sh
-# cf. http://lists.opensuse.org/radeonhd/2007-10/msg00247.html
-# Patch0:        xorg-x11-drv-radeonhd-fix-thinkpad-backlight-keys.patch
+# Needs to be applied while creating dist tarball, but still be in SRPM.
+Source11:      %{name}-Generate-xinf-file-for-hwdata-from-rhd_id.c.patch
 
 ExcludeArch:   s390 s390x
 
+%if 0%{snapshot}
+# Required for building rhd_conntest
+BuildRequires: pciutils-devel
+BuildRequires: zlib-devel
+%endif
 BuildRequires: xorg-x11-server-sdk  >= 1.3
 Requires:      xorg-x11-server-Xorg >= 1.3
 
@@ -59,20 +75,44 @@
 regressions, bugs, errors, broken displays, and other undesirable phenomena.
 
 radeonhd mailing list: http://lists.opensuse.org/radeonhd/
+
+Built from git commit: %{git_commit}
 %endif
 
 %prep
 %setup -q -n %{tarball}
-#%patch0 -p1 -b .fix-thinkpad-backlight-keys
 
 %build
 %{configure} --with-xorg-module-dir=%{moduledir} --disable-static
+%if 0%{snapshot}
+# Use git version information from snapshot
+echo -e "#!/bin/sh\nexit 0" > git_version.sh
+cp %{SOURCE3} git_version.h
+sed -i 's/^#  define GIT_WITH_WITHOUT_UNCOMMITTED " +.*/#  define GIT_WITH_WITHOUT_UNCOMMITTED " + fedora"/' git_version.h
+# Uncomment this if we apply any patches to the upstream code
+# sed -i 's/^#undef GIT_UNCOMMITTED.*/#define GIT_UNCOMMITTED 1/' git_version.h
+cp git_version.h src/git_version.h
+cp git_version.h utils/conntest/git_version.h
+%endif
 %{__make} %{?_smp_mflags}
+%{__cp} %{SOURCE2} README.fedora
+%if 0%{snapshot}
+%{__cp} utils/conntest/README README.rhd_conntest
+%endif
+%if 0%{generate_xinf}
+./src/print-xinf-data > radeonhd.xinf
+%endif
 
 %install
 %{__rm} -rf "%{buildroot}"
 %{__make} install DESTDIR="%{buildroot}"
 %{__rm} -f "%{buildroot}%{driverdir}/radeonhd_drv.la"
+%{__install} -m 0755 -d                          "%{buildroot}/%{_bindir}"
+%{__install} -m 0755 utils/conntest/rhd_conntest "%{buildroot}/%{_bindir}/rhd_conntest"
+%if 0%{generate_xinf}
+%{__install} -m 0755 -d            "%{buildroot}%{_datadir}/hwdata/videoaliases"
+%{__install} -m 0644 radeonhd.xinf "%{buildroot}%{_datadir}/hwdata/videoaliases"
+%endif
 
 %check
 %{__make} check || %{__make} check VERBOSE=yes
@@ -83,9 +123,64 @@
 %files
 %defattr(-,root,root,-)
 %doc README COPYING
+%doc README.fedora
+%if 0%{snapshot}
+%doc README.rhd_conntest
+%{_bindir}/rhd_conntest
+%endif
 %{driverdir}/radeonhd_drv.so
+%{_mandir}/man4/radeonhd.4.gz
+%if 0%{generate_xinf}
+%{_datadir}/hwdata/videoaliases/radeonhd.xinf
+%endif
 
 %changelog
+* Sun Nov 11 2007 Hans Ulrich Niedermann <hun at n-dimensional.de> - 0.0.2-0.16.20071105git
+- Updated README.fedora.
+- Improved git commit log message.
+- First F-7 and F-8 builds.
+
+* Mon Nov 05 2007 Hans Ulrich Niedermann <hun at n-dimensional.de> - 0.0.2-0.15.20071105git
+- New snapshot (upstream commit e9c24f662860229440dc61ecbae22e7d7c74d442):
+  - Improve online help in rhd_conntest.
+  - Use correct variable for DDC speed setting on R6xx, fix some warnings.
+  - Add git version to program output (we emulate that).
+  - Ship rhd_conntest source, and build it (we also install it).
+
+* Tue Oct 31 2007 Hans Ulrich Niedermann <hun at n-dimensional.de> - 0.0.2-0.14.20071031git
+- New snapshot (upstream commit ad599c4436c64b11d18c89da6a684f5241979a96):
+  - Fix 1650Pro PLL gain control.
+  - Improve connector handling.
+- Stow away radeonhd.xinf generator for possible later use.
+
+* Tue Oct 30 2007 Hans Ulrich Niedermann <hun at n-dimensional.de> - 0.0.2-0.13.20071030git
+- Do not #include <sys/io.h> in rhd_conntest.c (fix PPC build).
+
+* Tue Oct 30 2007 Hans Ulrich Niedermann <hun at n-dimensional.de> - 0.0.2-0.12.20071030git
+- New snapshot (upstream commit f3a2530cea981c6b4c88ec85093032ea152ed47f):
+  - #include standard headers in corner cases (supposed to fix FC6 build)
+
+* Sun Oct 28 2007 Hans Ulrich Niedermann <hun at n-dimensional.de> - 0.0.2-0.11.20071028git
+- New snapshot (upstream commit 604bfb02cefa5f56b40aea2dc3256f09836121a4):
+  - Added ID for Radeon HD 2600 LE (RV630).
+  - Be smarter about the xorg.conf monitor section by selectively ignoring it.
+  - Fix mode instability when returning to VT on some mobilities.
+
+* Thu Oct 25 2007 Hans Ulrich Niedermann <hun at n-dimensional.de> - 0.0.2-0.10.20071025git
+- New snapshot (upstream commit d8cb8a2a8315f86fae0266f58ee30b609c81d510).
+- Remove man page patches (man page is upstream now).
+
+* Tue Oct 23 2007 Hans Ulrich Niedermann <hun at n-dimensional.de> - 0.0.2-0.9.20071023git
+- New snapshot (upstream commit 8699deaba2c920a3df35acfea49360888868becb).
+- Add bug report section to README.fedora.
+
+* Sat Oct 20 2007 Hans Ulrich Niedermann <hun at n-dimensional.de> - 0.0.2-0.8.20071020git
+- New snapshot (upstream commit 3579bdddd95dc6f129e57bcf05cbd8b9b375940f).
+- Cleaned up snapshot script.
+- Package rhd_conntest utility when building snapshot package.
+- Add simple man page.
+- Add README.fedora file.
+
 * Wed Oct 17 2007 Hans Ulrich Niedermann <hun at n-dimensional.de> - 0.0.2-0.7.20071017git
 - New snapshot (upstream commit d03841b4950b3b827b3c42507e01767d0569391f).
 - Use upstream's version 0.0.2.




More information about the fedora-extras-commits mailing list